> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.cable.tech/v-2-0/api-documentation/api-reference/risk-assessment/check-risk-assessment/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cable.tech/_mcp/server. # Check if a risk assessment exists GET https://api.cable.tech/v2/risk_assessment Reference: https://docs.cable.tech/api-documentation/api-reference/risk-assessment/check-risk-assessment ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `assessment_id` (string, required) — The unique identifier of the risk assessment ## Response ### 200 Risk assessment exists - `assessment_id` (string, optional) — The unique identifier of the risk assessment - `first_seen` (datetime, optional) — This represents the earliest timestamp associated with the risk assessment - `last_seen` (datetime, optional) — This represents the latest timestamp associated with the risk assessment - `organization_id` (string, optional) — The organization ID for which the risk assessment was found ## Errors ### 401 Unauthorized Error Unauthorized request - `code` (integer, required) - `message` (string, required) - `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields. ### 404 Not Found Error Risk assessment does not exist - `code` (integer, required) - `message` (string, required) - `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields. ### 429 Too Many Requests Error Rate limit exceeded - `code` (integer, required) - `message` (string, required) - `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields. ### 500 Internal Server Error Server error - `code` (integer, required) - `message` (string, required) - `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields. ## Types ### GeneralErrorErrorsItems - `field` (string, optional) - `message` (string, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "assessment_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890", "first_seen": "2024-01-10T08:15:30Z", "last_seen": "2024-01-15T17:45:00Z", "organization_id": "org-9876543210" } ``` **SDK Code** ```python import requests url = "https://api.cable.tech/v2/risk_assessment" querystring = {"assessment_id":"a1b2c3d4-e5f6-7890-ab12-cd34ef567890"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.cable.tech/v2/risk_assessment?assessment_id=a1b2c3d4-e5f6-7890-ab12-cd34ef567890'; const options = { method: 'GET', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.cable.tech/v2/risk_assessment?assessment_id=a1b2c3d4-e5f6-7890-ab12-cd34ef567890" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.cable.tech/v2/risk_assessment?assessment_id=a1b2c3d4-e5f6-7890-ab12-cd34ef567890") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.cable.tech/v2/risk_assessment?assessment_id=a1b2c3d4-e5f6-7890-ab12-cd34ef567890") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.cable.tech/v2/risk_assessment?assessment_id=a1b2c3d4-e5f6-7890-ab12-cd34ef567890', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.cable.tech/v2/risk_assessment?assessment_id=a1b2c3d4-e5f6-7890-ab12-cd34ef567890"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.cable.tech/v2/risk_assessment?assessment_id=a1b2c3d4-e5f6-7890-ab12-cd34ef567890")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```